package edu.chl.hajo.monopoly.util;

import java.awt.Color;

import edu.chl.hajo.monopoly.constants.Piece;

/**
 * Dynamic data. Should be possible to modify when program is running
 * From menu > options
 * @author hajo
 *
 */
public class Options {

	public static Color getColorForPiece(Piece p){
		switch(p){
		case DOG: return Color.GREEN;
		case TOP_HAT: return Color.YELLOW;
		case CAR: return Color.LIGHT_GRAY;
		case IRON: return Color.PINK;
		default: throw new IllegalArgumentException("Bad Piece");
		}
	}
}
