package edu.chl.hajo.monopoly.util;

import java.util.Collection;

import edu.chl.hajo.monopoly.constants.Piece;
import edu.chl.hajo.monopoly.core.space.Property;

// A Value object used to send data between GUI and model
// No id and immutable
public class PlayerData {
	
	public final String name;
	public final Piece piece;
	//public final Color color;
	public final int balance;
	public final boolean inJail;
	public final Collection<Property> properties;
	public PlayerData(String name, Piece piece, int balance, boolean inJail, 
			Collection<Property> properties) {
		super();
		this.name = name;
		this.piece = piece;
		this.balance = balance;
		this.inJail = inJail;
		this.properties = properties;
	}
}
