package edu.chl.hajo.monopoly.ctrl;

import java.util.List;

import edu.chl.hajo.monopoly.core.Player;

/**
 *  Control. Some "chance" will force all players to pay
 *  to actual
 */

class GetFromAllCtrl extends AbstractControl {

	private int amount;
	
	public GetFromAllCtrl(int amount) {
		this.amount = amount;
	}

	public void execute() {
		List <Player> ps = g.getPlayers();
		for( Player p : ps){
			new ForceWithDrawCtrl(p, amount).execute();
		}
		g.getActualPlayer().addIncome(amount * ps.size());
		
	}	
}
