package edu.chl.hajo.monopoly.view.details;

import edu.chl.hajo.monopoly.core.IDetailsVisitor;
import edu.chl.hajo.monopoly.core.space.Property;
import edu.chl.hajo.monopoly.core.space.Street;

/**
 * The concrete details visitor class. Used by MustSellDialog
 * @author hajo
 *
 */
public class DetailsVistor implements IDetailsVisitor {

	private AbstractSpaceDetails d;
	
	public AbstractSpaceDetails getDetails() {
		return d;
	}
	
	@Override
	public void setDetails(Property p) {
		// TODO Fix a real parent not null
		d = new PropertyDetails(null, p);
	}

	@Override
	public void setDetails(Street s) {
		d = new StreetDetails(null, s);
	}

}
