package edu.chl.hajo.monopoly.view.dialog;

import javax.swing.JFrame;

import edu.chl.hajo.monopoly.core.space.Tax;
import edu.chl.hajo.monopoly.ctrl.CF;


/**
 * A dialog to pay tax
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class PayTaxDialog extends AbstractEventDialog {

	private Tax tax;

	public PayTaxDialog(JFrame parent, Tax tax) {
		super(parent);
		this.tax = tax;
	}

	@Override
	public void execute() {
		CF.get(CF.Name.PAY_TAX, tax).execute();
		this.dispose();
	}
}
