
package edu.chl.hajo.monopoly.ctrl;

import edu.chl.hajo.monopoly.core.IMonopoly;
import edu.chl.hajo.monopoly.core.MonopolyFactory;
import edu.chl.hajo.monopoly.core.MonopolyEventWrapper;
import edu.chl.hajo.monopoly.event.Event;
import edu.chl.hajo.monopoly.event.EventBus;


/**
 * A control to create new Games 
 * @author hajo
 */
public class NewGameCtrl {

    public void execute() {
        IMonopoly m = MonopolyFactory.getMonopoly();
        IMonopoly mw = new MonopolyEventWrapper(m);
        // Send new game to all observers
        EventBus.INSTANCE.publish(new Event(Event.Tag.NEW_GAME, mw));
    }

}
