package edu.chl.hajo.mply.core;

import java.util.ArrayList;
import java.util.List;


/** 
 * The board holding spaces having players
 * 
 * @author hajo
 * 
 */

public class Board /* possible iterable */{

	// The streets, railroads and utilities
	private final List<Space> spaces = new ArrayList<Space>();
	
	public Board() { 
	    // TODO Read spaces from somewhere
		for (int i = 0; i < P.INSTANCE.getMaxSpaces(); i++) {
			spaces.add(new Space(i, ""));
		}
	}
	// CommanLine
	public List<Space> getSpaces(){
	    return spaces;
	}

    @Override
    public String toString() {
        return "B["+ spaces + "]";
    }

    public Space getSpace(int pos) {
        return spaces.get(pos);
    }
    
    /*
    @Override
    public Iterator<Space> iterator() {
        
        return null;
    }
*/
    
	
}

