package edu.chl.hajo.mply.gui;

import java.awt.Color;
import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.JPanel;

import edu.chl.hajo.mply.core.P;

/**
 * Collection of player panels
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class PlayerContainerPanel extends JPanel {
    
    public PlayerContainerPanel(){
        init();    
    }

    private void init() {
        int max = P.INSTANCE.getMaxPlayers();
        this.setLayout(new GridLayout(1, max/2));
        this.setBorder(BorderFactory.createLineBorder(Color.BLACK)); 
        for(int i = 0 ; i < max; i++){
            this.add(new PlayerPanel());
        }
    }  
}
