package edu.chl.hajo.monopoly03.ctrl;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.swing.AbstractAction;
import javax.swing.JLabel;
import javax.swing.JPanel;

import edu.chl.hajo.monopoly03.model.Dice;
import edu.chl.hajo.monopoly03.model.Monopoly03;
import edu.chl.hajo.monopoly03.model.Piece;
import edu.chl.hajo.monopoly03.model.Player;
import edu.chl.hajo.monopoly03.model.Space;
import edu.chl.hajo.monopoly03.view.PayDialog;
import edu.chl.hajo.monopoly03.view.SpacePanel;



@SuppressWarnings("serial")
public class MoveCtrl extends AbstractAction {

    private final Monopoly03 mp;

    public MoveCtrl(Monopoly03 mp) {
        this.mp = mp;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        System.out.println("Move");
        mp.move();
        
        Dice d = mp.getDice();
        JLabel l = (JLabel) this.getValue("diceResult");
        l.setText(d.getFirst() + ":" + d.getSecond());
        
        Collection<Space> sps = mp.getBoard().getSpaces();

        JPanel pnl = (JPanel) this.getValue("spaces");
        Component[] comps = pnl.getComponents();
        // Even worse ....
        int i = 0;
        for (Space s : sps) {
            List<Piece> pieces = new ArrayList<>();
            for (Player p : s.getVisitors()) {
                pieces.add(p.getPiece());
            }
            ((SpacePanel) comps[i]).update(pieces);
            i++;
        }
        Player p =  mp.getActualPlayer();
        if( p.hasDebt()){
            new PayDialog(p).setVisible(true);
        }
    }

}
