package edu.chl.hajo.monopoly04.model;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 * Parameters for model (later set from GUI)
 * @author hajo
 *
 */
public enum Options {
    INSTANCE;

    public List<Player> getPlayers() {
        Player p1 = new Player("Pelle", Piece.CAR, 0);
        Player p2 = new Player("Fia", Piece.DOG, 0);
        List<Player> players = new ArrayList<>();
        players.add(p1);
        players.add(p2);
        return players;
    }

    private final File defaultDataFile = new File("data/gothenburg.spaces");
    private final File dataFile = defaultDataFile;
    public File getDataFile() {
        return dataFile;
    }
}
