package edu.chl.hajo.monopoly.ctrl;

import java.util.ArrayList;
import java.util.List;

import edu.chl.hajo.monopoly.constants.Piece;
import edu.chl.hajo.monopoly.core.Player;

/**
 * Starting a new game round
 * @author hajo
 *
 */
class NewGameCtrl extends AbstractControl {
	
	@Override
	public void execute() {
		
		// TODO STOP previous game
		
		List<Player> ps = new ArrayList<Player>();
		/*
		 *  Ordering matters! Used by game
		 */
		ps.add(new Player("Olle", Piece.DOG));
		ps.add(new Player("Fia", Piece.TOP_HAT));
		ps.add(new Player("Pelle", Piece.CAR));
		ps.add(new Player("Sanna", Piece.IRON));
		
		// Will trigger an event to update GUI
		g.setPlayers(ps);	
	}
}
