package edu.chl.hajo.monopoly.view.details;

import java.awt.BorderLayout;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JPanel;

import edu.chl.hajo.monopoly.core.space.NonProperty;
import edu.chl.hajo.monopoly.ctrl.CF;
import edu.chl.hajo.monopoly.rules.Rules;

/**
 * Detail view of Jail (actual player sees button to pay)
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class JailDetails extends NonPropertyDetails {

	private JPanel jPnlVisitors;
	// TODO needed?? private NonProperty nonProperty;
	private JButton jBtnPay;

	public JailDetails(JPanel parent, NonProperty nonProperty) {
		super(parent, nonProperty);
		//this.nonProperty = nonProperty;
		initGUI();
		initControls();
	}
	
	private void initGUI(){
		this.setLayout(new BorderLayout());
		Container c = this.getContentPane();
		jPnlVisitors = new JPanel();
		c.add(jPnlVisitors, BorderLayout.CENTER);
		jBtnPay = new JButton("payToGetFree");
		jPnlVisitors.add(jBtnPay);
		jBtnPay.setVisible(Rules.actualPlayerInJail());
	}
	
	private void initControls() {
		jBtnPay.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent evt) {
				CF.get(CF.Name.FREE_FROM_JAIL).execute();
				JailDetails.this.dispose();
			}	
		});
	}
}
