package edu.chl.hajo.monopoly.core;

import java.util.Collection;

/**
 * Interface to model, used by GUI
 *
 * @author hajo
 */
public interface IMonopoly {

    Player getActual();

    Board getBoard();

    DicePair getDicePair();

    Collection<Player> getPlayers();

    void move();

    void next();

}
