package edu.chl.hajo.monopoly.core.card;

/**
 * Base class for cards
 * @author hajo
 */
public abstract class Card {

    private final String name;
    private final String message;

    public Card(String name, String message) {
        this.message = message;
        this.name = name;
    }

    // Possible, ... TODO
    public abstract void execute();

    public String getMessage() {
        return message;
    }

    public String getName() {
        return name;
    }
}
