package edu.chl.hajo.monopoly.core.space;

import edu.chl.hajo.monopoly.core.Building;
import edu.chl.hajo.monopoly.core.space.Property;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author hajo
 */
public class Street extends Property {

    private final List<Building> buildings = new ArrayList<>();

    public Street(String name, int price) {
        super(name, price);
    }

    public void addBuilding(Building b) {
        if (buildings.size() < 5) {
            buildings.add(b);
        }
    }

    @Override
    public boolean hasBuildings() {
        return buildings.size() > 0;
    }

    public boolean removeBuilding(Building b) {
        return buildings.remove(b);
    }

}
