package edu.chl.hajo.monopoly.core.space;

import edu.chl.hajo.monopoly.core.Player;
import edu.chl.hajo.monopoly.core.space.Space;
import edu.chl.hajo.monopoly.core.visitor.IVisitor;

/**
 *
 * @author hajo
 */
public class Tax extends Space {

    private final int tax;

    public Tax(String name, int tax) {
        super(name);
        this.tax = tax;
    }

    public int getTax() {
        return tax;
    }

    @Override
    public void accept(IVisitor v, Player actual) {
        v.visit(this, actual);
    }
}
