package edu.chl.hajo.mply.core;

import java.util.Random;

import edu.chl.hajo.mply.event.Event;
import edu.chl.hajo.mply.event.EventBus;

/**
 * Yes, a dice 
 * @author hajo
 *
 */
public class Dice {
    
    private final int sides;
	private final Random r = new Random();
	private int result;
	
	public Dice(int sides){
	    this.sides = sides;
	}
	
	public int roll(){
	    int i = r.nextInt(sides) + 1;
	    setResult(i);
		return result;
	}

    public int getMax() {
        return sides;
    }
    
    
    // Separating even thandling
    
    private void setResult(int i ){
        this.result = i;
        EventBus.publish(new Event(Event.Tag.DICE_VALUE, i));
    }
}
