package edu.chl.hajo.mply.gui;

import java.awt.Color;
import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.JPanel;

import edu.chl.hajo.mply.core.P;

/**
 * Collection of Space panels
 * @author hajo
 *
 */
@SuppressWarnings("serial")
public class SpaceContainerPanel extends JPanel {
    
    public SpaceContainerPanel(){
        init();    
    }

    private void init() {
        int max = P.INSTANCE.getMaxSpaces();
        this.setLayout(new GridLayout(2, max/2));
        this.setBorder(BorderFactory.createLineBorder(Color.BLACK)); 
        for(int i = 0 ; i < max; i++){
            this.add(new SpacePanel(i));
        }
    }  
}
