package monopoly01;

import static org.junit.Assert.assertTrue;

import java.util.ArrayList;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

/**
 * NOTE this is no real unit testing it's a  simple
 * way to run the model
 * @author hajo
 *
 */
public class TestMonopoly01 {

    static Monopoly01 mp;

    // Set up the model
    @Before
    public void before() {
        Dice dice = new Dice(2);
        List<Space> spaces = new ArrayList<>();
        for (int i = 0; i < 10; i++) {
            spaces.add(new Space(String.valueOf(i)));
        }
        Board board = new Board(spaces);
        Space start = board.get(null, 0);
        Piece.CAR.setPosition(start);
        Piece.DOG.setPosition(start);
        Player p1 = new Player("Pia", Piece.CAR);
        Player p2 = new Player("Pelle", Piece.DOG);
        List<Player> players = new ArrayList<>();
        players.add(p1);
        players.add(p2);

        mp = new Monopoly01(dice, board, players);
    }

    //@Test
    public void testOnePlayerMakesAMove() {
        System.out.println(mp);
        mp.move();
        System.out.println(mp);
        assertTrue(true);
    }

    @Test
    public void testOnePlayerMakesAMoveThenSwitchPlayer() {
        for (int i = 0; i < 5; i++) {
            mp.move();
            System.out.println(mp);
            mp.endTurn();
        }
        assertTrue(true);
    }

}
