package edu.chl.hajo.monopoly03.view;

import java.awt.Color;
import java.awt.GridLayout;
import java.util.List;

import javax.swing.BorderFactory;
import javax.swing.DefaultListModel;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;

import edu.chl.hajo.monopoly03.model.Piece;


@SuppressWarnings("serial")
public class SpacePanel extends JPanel {

    private JLabel name = new JLabel();
    private JList<String> visitors = new JList<>();

    public SpacePanel(String name) {
        this.setLayout(new GridLayout(4, 1));
        this.name.setText(name);
        this.add(this.name);
        this.add(visitors);
        this.setBorder(BorderFactory.createLineBorder(Color.black));
        //this.setBackground(Color.blue);
    }

    public void update(List<Piece> pieces) {
       // this.remove(visitors);
        DefaultListModel<String> m = new DefaultListModel<>();
        for (Piece p : pieces) {
            m.addElement(p.toString());
        }
        visitors.setModel(m);
        //this.add(visitors);
    }

}
