package edu.chl.hajo.monopoly04.ctrl;

import edu.chl.hajo.monopoly04.adapter.EventAdapter;
import edu.chl.hajo.monopoly04.dialogs.PayDialog;
import edu.chl.hajo.monopoly04.model.IPlayer;

public class ButtonsCtrl {

    private final EventAdapter mp;

    public ButtonsCtrl(EventAdapter mp) {
        this.mp = mp;
    }

    public void start() {
        System.out.println("Start");
        mp.start();
    }

    public void move() {
        System.out.println("Move");
        mp.move();
        IPlayer p = mp.getActualPlayer();
        if( p.hasDebt()){
            new PayDialog(p).setVisible(true);
        }
    }
    
    public void endTurn() {
        System.out.println("endTurn");
        mp.endTurn();
    }
}
